Subject: RE: [bmwg] Implemeation notes from draft-ietf-bmwg-hash-stuffing- 05.txt

From: "Player, Timmons" <[email-masked]>
Date: Wed, 15 Mar 2006 05:30:50 -1000

> > 1. Used (RR & 0xFC) instead of (RR & 0xFE) for the MAC 
> addresses first 
> > Octet.  I do not know the impact of mixing GLOBALLY ADMINISTERED 
> > ADDRESS and LOCALLY ADMINISTERED ADDRESS in the same test.  No 
> > completely sure if it's still used.  The IEEE 802.3 
> standard gives no 
> > information on the use or issues.  I decide to play it safe 
> and only 
> > allow GLOBALLY ADMINISTERED ADDRESS.
> 
> One of the ID authors is a whole lot better than the other at 
> bitwise math. When this topic came up, it took the more 
> knowledgeable author about 9 nanoseconds to observe that 
> ANDing an odd hex digit with 0xFE makes the number even. 
> Hence there's no need to AND with 0xFC or 0xF6 or any of the 
> other one's complements of the various multicast MAC 
> high-order bytes. They're all odd, made even by ANDing them with 0xFE.
> 
Actually, this is a different issue than multicast vs. unicast.  Multicast
vs. unicast
is the first bit in the first byte of the MAC address.  Global vs. local is
the
second bit in the first byte of the MAC address.  So, ANDing with FC will
ensure
that both low order bits are "0's."

But I've no idea if it makes a difference either...

Timmons

_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg